SystemOrganization addCategory: #ConfigurationOfKaliningrad!

Object subclass: #ConfigurationOfKaliningrad
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfKaliningrad'!

!ConfigurationOfKaliningrad class methodsFor: 'development support' stamp: 'dkh 9/21/2011 02:41'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfKaliningrad class methodsFor: 'private' stamp: 'dkh 9/21/2011 02:41'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfKaliningrad class methodsFor: 'private' stamp: 'dkh 9/21/2011 02:41'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfKaliningrad class methodsFor: 'private' stamp: 'dkh 9/21/2011 02:41'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfKaliningrad class methodsFor: 'metacello tool support' stamp: 'dkh 9/21/2011 02:41'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfKaliningrad class methodsFor: 'loading' stamp: 'dkh 9/21/2011 02:41'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfKaliningrad class methodsFor: 'loading' stamp: 'dkh 9/21/2011 02:41'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfKaliningrad class methodsFor: 'loading' stamp: 'dkh 9/21/2011 02:41'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfKaliningrad class methodsFor: 'accessing' stamp: 'dkh 9/21/2011 02:41'!
project

	^self new project! !

!ConfigurationOfKaliningrad class methodsFor: 'development support' stamp: 'dkh 9/21/2011 02:41'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfKaliningrad methodsFor: 'baselines' stamp: 'dkh 9/26/2011 21:20'!
baseline01: spec
	<version: '0.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/Kaliningrad'.
		spec 
			project: 'SeasideRest' with: [
				spec
					className: 'ConfigurationOfSeasideRest';
					versionString: #'stable';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].
		spec package: 'Kaliningrad-Core' with: [
				spec requires: #('SeasideRest' ). ]. ].
! !

!ConfigurationOfKaliningrad methodsFor: 'symbolic versions' stamp: 'dkh 9/21/2011 02:43'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '0.1'.
! !

!ConfigurationOfKaliningrad methodsFor: 'accessing' stamp: 'dkh 9/21/2011 02:41'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfKaliningrad methodsFor: 'versions' stamp: 'dkh 9/26/2011 23:12'!
version01: spec
	<version: '0.1' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '0.1 (dkh.1):
- initial configuration
0.1 (dkh.2):
- tweak config
0.1 (dkh.3):
Amber 0.9 can be deployed from within a Seaside3.0 server ...
0.1 (dkh.5):
- implemented commit:package: ... committed Package Dale ... manually add to index.html for now ...
0.1 (dkh.6):
- KOMain is a Seaside component that loads amber.js then does a loadAmber() and opens the amber browser ... use as template for opening tODE from within Amber
0.1 (dkh.7):
- wire up handler for commiting from KOMain
- save st files as text mimetype
- include SeasideJSON project
0.1 (dkh.8):
- KOAmberCounter (amber-based counter) defined and displayed on page from Seaside component.
- KOSeasideCounter (amber-based counter with Seaside callbacks) is created but not functional yet ...
0.1 (dkh.9):
- KOSeasideCounter rendered ....
- extract response .... json data looks good

0.1 (dkh.10):
- finally extracting objects from JSON response
0.1 (dkh.11):
- attempting seaside callbacks for increase/decrease
0.1 (dkh.12):
- copy the WAJsonCounter to Kaliningrad ... KOJsonCounter
0.1 (dkh.13):
- use SeasideREST 0.22
0.1 (dkh.14):
- KOMain is now the tODE templae
- KOMainCounter is the counter example with callbacks
- JQuery UI layout is finally showing up!!
0.1 (dkh.15):
- get the tODE style installed
0.1 (dkh.16):
- KOSeasideCounter is working!! Thanks Philippe!!
0.1 (dkh.17):
- use POST in KOSeasideCounter
- resolve javascript library collisions for KOMain ...
- JQuery layout now functional with Amber installed 
0.1 (dkh.18):
- starting to set pane parameters ...
0.1 (dkh.19):
- create KOImporter and server-side support for importing classes from server-side to Amber
- start porting tODE to Amber ... 
0.1 (dkh.20):
- moved the classes involved with tODE to the tODE-Amber package 
- TOAmberMain is a Seaside component that serves up the Jtalk 0.9 index.html page (Seafox used to transform index.html into Seaside rendering code)

0.1 (dkh.21):
- for Amber, moved KOAmberCounter, KOSeasideCounter and KOMain from Kaliningrad to tODE. 
0.1 (dkh.22):
- add TOObject and TOFrame to Amber ... '.
		spec author: 'dkh'.
		spec timestamp: '9/26/2011 23:12'.
		spec project: 'SeasideRest' with: '0.22'.
		spec package: 'Kaliningrad-Core' with: 'Kaliningrad-Core-dkh.19'. ].
! !
